#include<stdlib.h>
#include<iostream>
using namespace std;
long long st(long long C,long long i){
	long long pr=1;
	for(int j=1;j<=i;j++)
	pr*=C;
	return pr;
}
int main(){
	long long N,M,C,i,j,sum=0,stepen,cinilac;
	cin>>N>>M;
	long long *B=new long long[M+1];
	long long *A=new long long[N+1];
	for(i=1;i<M+1;i++)
	cin>>B[i];
	cin>>C;
	for(i=1;i<N+1;i++)
	A[i]=i;
	for(i=0;i<=N-M;i++)
	for(j=1;j<=M;j++)
	A[i+B[j]]=A[i+j];
	for(i=1;i<=N;i++)
	{stepen=st(C,i);
	cinilac=A[i];
	sum+=stepen*cinilac;
	}
	cout<<sum;
	system("pause");
}